module CFlowPipeDisconnectEnum
    use OperationScenariosModule
    implicit none
    contains
    
    subroutine Evaluate_FlowPipeDisconnect()
        implicit none
        
!        if (DriveType == TopDrive_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_FlowPipeDisconnect=TopDrive'
!#endif
!        endif
!        
!        
!        
!        if (DriveType == Kelly_DriveType) then
!#ifdef OST
!            print*, 'Evaluate_FlowPipeDisconnect=Kelly'
!#endif
!        endif
        
    end subroutine
    
    subroutine Subscribe_FlowPipeDisconnect()
        implicit none
    end subroutine
    
end module CFlowPipeDisconnectEnum